- MongoDB C Driver 1.13.1 »
- API Reference »
- mongoc_gridfs_t

# mongoc_gridfs_find_one_by_filename()

## Synopsis

    mongoc_gridfs_file_t *
    mongoc_gridfs_find_one_by_filename (mongoc_gridfs_t *gridfs,
                                        const char *filename,
                                        bson_error_t *error);

## Parameters

- `gridfs`: A mongoc_gridfs_t.
- `filename`: A UTF-8 encoded string containing the filename.
- `error`: An optional location for a bson_error_t or `NULL`.

## Description

Finds the first file matching the filename specified. If there is an error, NULL is returned and `error` is filled out; if there is no error but no matching file is found, NULL is returned and the error code and domain are 0.

## Errors

Errors are propagated via the `error` parameter.

## Returns

Returns a newly allocated mongoc_gridfs_file_t if successful. You must free the resulting file with mongoc_gridfs_file_destroy() when no longer in use.

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.